
From: Dave Hansen <haveblue@us.ibm.com>

Looks like I missed a couple of architectures.  This patch, on top of my
previous one and Jesse's should clean up the rest.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/arm/mm/init.c               |    2 +-
 25-akpm/arch/ia64/mm/contig.c            |    2 +-
 25-akpm/arch/mips/sgi-ip27/ip27-memory.c |    2 +-
 25-akpm/arch/parisc/mm/init.c            |    2 +-
 25-akpm/arch/sparc/mm/srmmu.c            |    2 +-
 25-akpm/arch/sparc/mm/sun4c.c            |    2 +-
 25-akpm/arch/sparc64/mm/init.c           |    2 +-
 25-akpm/arch/x86_64/mm/numa.c            |    2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

diff -puN arch/arm/mm/init.c~dont-pass-mem_map-into-init-functions-arches arch/arm/mm/init.c
--- 25/arch/arm/mm/init.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.634874032 -0700
+++ 25-akpm/arch/arm/mm/init.c	2004-08-06 22:13:31.649871752 -0700
@@ -495,7 +495,7 @@ void __init paging_init(struct meminfo *
 		 */
 		arch_adjust_zones(node, zone_size, zhole_size);
 
-		free_area_init_node(node, pgdat, NULL, zone_size,
+		free_area_init_node(node, pgdat, zone_size,
 				bdata->node_boot_start >> PAGE_SHIFT, zhole_size);
 	}
 
diff -puN arch/ia64/mm/contig.c~dont-pass-mem_map-into-init-functions-arches arch/ia64/mm/contig.c
--- 25/arch/ia64/mm/contig.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.635873880 -0700
+++ 25-akpm/arch/ia64/mm/contig.c	2004-08-06 22:13:31.649871752 -0700
@@ -267,7 +267,7 @@ paging_init (void)
 	efi_memmap_walk(find_largest_hole, (u64 *)&max_gap);
 	if (max_gap < LARGE_GAP) {
 		vmem_map = (struct page *) 0;
-		free_area_init_node(0, &contig_page_data, NULL, zones_size, 0,
+		free_area_init_node(0, &contig_page_data, zones_size, 0,
 				    zholes_size);
 		mem_map = contig_page_data.node_mem_map;
 	} else {
diff -puN arch/mips/sgi-ip27/ip27-memory.c~dont-pass-mem_map-into-init-functions-arches arch/mips/sgi-ip27/ip27-memory.c
--- 25/arch/mips/sgi-ip27/ip27-memory.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.637873576 -0700
+++ 25-akpm/arch/mips/sgi-ip27/ip27-memory.c	2004-08-06 22:13:31.649871752 -0700
@@ -225,7 +225,7 @@ void __init paging_init(void)
 		pfn_t end_pfn = node_getmaxclick(node) + 1;
 
 		zones_size[ZONE_DMA] = end_pfn - start_pfn;
-		free_area_init_node(node, NODE_DATA(node), NULL,
+		free_area_init_node(node, NODE_DATA(node),
 				zones_size, start_pfn, NULL);
 
 		if (end_pfn > max_low_pfn)
diff -puN arch/parisc/mm/init.c~dont-pass-mem_map-into-init-functions-arches arch/parisc/mm/init.c
--- 25/arch/parisc/mm/init.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.638873424 -0700
+++ 25-akpm/arch/parisc/mm/init.c	2004-08-06 22:13:31.650871600 -0700
@@ -761,7 +761,7 @@ void __init paging_init(void)
 		unsigned long zones_size[MAX_NR_ZONES] = { 0, 0, 0, };
 
 		zones_size[ZONE_DMA] = pmem_ranges[i].pages;
-		free_area_init_node(i,NODE_DATA(i),NULL,zones_size,
+		free_area_init_node(i,NODE_DATA(i),zones_size,
 				(pmem_ranges[i].start_pfn << PAGE_SHIFT),0);
 	}
 
diff -puN arch/sparc64/mm/init.c~dont-pass-mem_map-into-init-functions-arches arch/sparc64/mm/init.c
--- 25/arch/sparc64/mm/init.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.640873120 -0700
+++ 25-akpm/arch/sparc64/mm/init.c	2004-08-06 22:13:31.652871296 -0700
@@ -1585,7 +1585,7 @@ void __init paging_init(void)
 		zones_size[ZONE_DMA] = npages;
 		zholes_size[ZONE_DMA] = npages - pages_avail;
 
-		free_area_init_node(0, &contig_page_data, NULL, zones_size,
+		free_area_init_node(0, &contig_page_data, zones_size,
 				    phys_base >> PAGE_SHIFT, zholes_size);
 		mem_map = contig_page_data.node_mem_map;
 	}
diff -puN arch/sparc/mm/srmmu.c~dont-pass-mem_map-into-init-functions-arches arch/sparc/mm/srmmu.c
--- 25/arch/sparc/mm/srmmu.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.641872968 -0700
+++ 25-akpm/arch/sparc/mm/srmmu.c	2004-08-06 22:13:31.653871144 -0700
@@ -1341,7 +1341,7 @@ void __init srmmu_paging_init(void)
 		zones_size[ZONE_HIGHMEM] = npages;
 		zholes_size[ZONE_HIGHMEM] = npages - calc_highpages();
 
-		free_area_init_node(0, &contig_page_data, NULL, zones_size,
+		free_area_init_node(0, &contig_page_data, zones_size,
 				    pfn_base, zholes_size);
 		mem_map = contig_page_data.node_mem_map;
 	}
diff -puN arch/sparc/mm/sun4c.c~dont-pass-mem_map-into-init-functions-arches arch/sparc/mm/sun4c.c
--- 25/arch/sparc/mm/sun4c.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.643872664 -0700
+++ 25-akpm/arch/sparc/mm/sun4c.c	2004-08-06 22:13:31.655870840 -0700
@@ -2114,7 +2114,7 @@ void __init sun4c_paging_init(void)
 		zones_size[ZONE_HIGHMEM] = npages;
 		zholes_size[ZONE_HIGHMEM] = npages - calc_highpages();
 
-		free_area_init_node(0, &contig_page_data, NULL, zones_size,
+		free_area_init_node(0, &contig_page_data, zones_size,
 				    pfn_base, zholes_size);
 		mem_map = contig_page_data.node_mem_map;
 	}
diff -puN arch/x86_64/mm/numa.c~dont-pass-mem_map-into-init-functions-arches arch/x86_64/mm/numa.c
--- 25/arch/x86_64/mm/numa.c~dont-pass-mem_map-into-init-functions-arches	2004-08-06 22:13:31.644872512 -0700
+++ 25-akpm/arch/x86_64/mm/numa.c	2004-08-06 22:13:31.656870688 -0700
@@ -136,7 +136,7 @@ void __init setup_node_zones(int nodeid)
 		zones[ZONE_NORMAL] = end_pfn - start_pfn; 
 	} 
     
-	free_area_init_node(nodeid, NODE_DATA(nodeid), NULL, zones, 
+	free_area_init_node(nodeid, NODE_DATA(nodeid), zones,
 			    start_pfn, NULL); 
 } 
 
_
